DEROFF(1)

NAME
deroff - remove nroff, troff, tbl and eqn constructs

SYNOPSIS
deroff [ -w ] filename ...

AVAILABILITY
This command is available with the Text software installation option. Refer to for information on how to install optional software.

DESCRIPTION
deroff reads each file in sequence and removes all nroff and troff command lines, backslash constructions, macro definitions, eqn constructs (between .EQ and .EN lines or between delimiters), and table descriptions and writes the remainder on the standard output. deroff follows chains of included files (.so and .nx commands); if a file has already been included, a .so is ignored and a .nx terminates execution. If no input file is given, deroff reads from the standard input file.

OPTIONS

-w  Generate a word list, one word per line. A `word' is a string of letters, digits, and apostrophes, beginning with a letter; apostrophes are removed. All other characters are ignored.

SEE ALSO
eqn(1), nroff(1), tbl(1), troff(1)

BUGS

deroff is not a complete troff interpreter, so it can be confused by subtle constructs. Most errors result in too much rather than too little output.

deroff does not work well with files that use .so to source in the standard macro package files.